Subject: 回复:RE: A new ID is available on the repository draft-caviglia-ccamp- pc-and-sc-reqs-00

From: lidan 37133 <[email-masked]>
Date: Thu, 01 Jun 2006 22:54:26 +0800

Hi Vijay,

Please see my comments below.

Regards,

Dan

----- 原邮件 -----
发件人: "Pandian, Vijay" <[email-masked]>
日期: 星期四, 六月 1日, 2006 上午10:34
主题: RE: A new ID is available on the repository draft-caviglia-ccamp- pc-and-sc-reqs-00

> Adrian and Dimitri,
> 
> Not sure why we need extra requirements to handle this case. Also 
> not sure
> why CP needs to guarantee identical states at [a] and [b]. May be 
> I am not
> understanding the case that is being pictured here.

[DL] Agree with you.

> 
> The way I read the requirements, once the control is transferred 
> to MP
> (i.e., CP[a] -> MP), CP should forget everything about this LSP, 
> Isn't it? 

[DL] Yes, CP SHOULD NOT keep any state of this LSP.

> 
> If this is true, then MP -> CP[b] should be treated as the ONLY 
> general case
> of MP -> CP conversion, right?

[DL] Agree with you.

> 
> Regards,
> Vijay
> 
> 
> -----Original Message-----
> From: Adrian Farrel [[email-masked]]
> Sent: Wednesday, May 31, 2006 7:18 PM
> To: [email-masked]
> Cc: [email-masked]; Diego Caviglia; Dino Bramanti
> Subject: Re: A new ID is available on the repository
> draft-caviglia-ccamp-pc-and-sc-reqs-00
> 
> 
> Interesting question.
> 
> It would certainly be the case that the picture you draw could 
> arise. I 
> guess we would describe this in terms of SPCs. Is it necessary 
> that 
> identical state is held at [a] and [b]. In particular, the 
> question of 
> Session ID and LSP ID spring to mind.
> 
> Yes, we need clear requirements for this type of situation.  Want 
> to suggest
> 
> some?
> 
> Adrian
> 
> ----- Original Message ----- 
> From: <[email-masked]>
> To: "Adrian Farrel" <[email-masked]>
> Cc: <[email-masked]>; "Diego Caviglia" 
> <[email-masked]>; 
> "Dino Bramanti" <[email-masked]>
> Sent: Wednesday, May 31, 2006 7:44 PM
> Subject: Re: A nerw ID is available on the repository 
> draft-caviglia-ccamp-pc-and-sc-reqs-00
> 
> 
> > agreed -
> >
> > question: in case of move CP->MP who guarantees that the CP at 
> state [b]
> > retrieves its states it had at [a] e.g.
> >
> > MP->CP[a]->MP->CP[b]?
> >
> > do we need a specific requirement for this case ?
> >
> >
> >
> >
> >
> >
> > "Adrian Farrel" <[email-masked]>
> > Sent by: [email-masked]
> > 25/05/2006 19:53
> > Please respond to "Adrian Farrel"
> >
> >        To:     <[email-masked]>, "Diego Caviglia"
> > <[email-masked]>
> >        cc:     "Dan Li <danli", "Dino Bramanti"
> > <[email-masked]>
> >        Subject:        Re: A nerw ID is available on the repository
> > draft-caviglia-ccamp-pc-and-sc-reqs-00
> >
> >
> > Hi Diego,
> >
> > Thanks for putting this I-D together. I think it gives a much 
> clearer> picture of what you are trying to achieve with your 
> discussion of moving
> > control of an LSP between the management plane and the control 
> plane.>
> > This seems like a reasonable set of requirements to me, and I 
> would like
> > to
> > see some discussion from folk on whether they think this is 
> valuable work,
> >
> > and whether we should start to look for protocol solutions.
> >
> > Thanks,
> > Adrian
> >
> > ----- Original Message ----- 
> > From: "Diego Caviglia" <[email-masked]>
> > To: <[email-masked]>
> > Cc: "Dan Li <danli" <[email-masked]>; "Dino Bramanti"
> > <[email-masked]>
> > Sent: Wednesday, May 24, 2006 8:48 AM
> > Subject: A nerw ID is available on the repository
> > draft-caviglia-ccamp-pc-and-sc-reqs-00
> >
> >
> >>A new ID is available on the ID repository
> >>
> >
> http://www.ietf.org/internet-drafts/draft-caviglia-ccamp-pc-and-sc-
> reqs-00.t
> xt
> > .
> >>
> >> The ID states some basic requrements for the possibility of 
> turning a
> >> Permanent Connection (PC) into a Soft Permanent Connection 
> (SPC) and
> > vice
> >> versa, without actually affecting Data Plane traffic, no 
> solutions are
> >> proposed in the ID.
> >>
> >> Abstract
> >>
> >>   From a Carrier perspective, the possibility of turning a 
> Permanent>>   Connection (PC) into a Soft Permanent Connection 
> (SPC) and vice
> >>   versa, without actually affecting Data Plane traffic being 
> carried>>   over it, is a valuable option. In other terms, such 
> operation can be
> >>   seen as a way of transferring the ownership and control of an
> >>   existing and in-use Data Plane connection between the Management
> >>   Plane and the Control Plane, leaving its Data Plane state 
> untouched.>>   This memo sets out the requirements for such 
> procedures within a
> >>   Generalized Multiprotocol Label Switching (GMPLS) network.
> >>
> >>
> >> Comments and suggestions are very welcome sxpecially from the 
> carrier>> community.
> >>
> >> Regards
> >>
> >> Diego
> >>
> >>
> >>
> >>
> >>
> >>
> >
> >
> >
> >
> >
> >
> >
> > 
> 
> 
> 
>